# -*- coding: iso-8859-1 -*-

def getBuildNum():
  import os.path
  import scicalc_param as param

  try:
    f= open(os.path.join(param.scicalc_dir, 'build.dat'))
    buildNum= f.readlines()[0]
    f.close()
  except:
    buildNum= 1

  return str(int(buildNum))

def getVersion():
  __majorversion__ = 0
  __minorversion__ = 0
  __releaseversion__ = 1
  __version__ = "%s.%s.%s build %s" % (__majorversion__, __minorversion__, __releaseversion__, getBuildNum())

  return str(__version__)
